Change the password of the user
Change the password of the user
POST
https://example.com
/
api
/
auth
/
change-password
Change the password of the user
curl --request POST \
--url https://example.com/api/auth/change-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currentPassword": "<string>",
"newPassword": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currentPassword: '<string>', newPassword: '<string>'})
};
fetch('https://example.com/api/auth/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/auth/change-password"
payload = {
"currentPassword": "<string>",
"newPassword": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/auth/change-password"
payload := strings.NewReader("{\n \"currentPassword\": \"<string>\",\n \"newPassword\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"user": {
"createdAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"emailVerified": true,
"id": "<string>",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>"
},
"token": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Body
application/json
⌘I
Change the password of the user
curl --request POST \
--url https://example.com/api/auth/change-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currentPassword": "<string>",
"newPassword": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currentPassword: '<string>', newPassword: '<string>'})
};
fetch('https://example.com/api/auth/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/auth/change-password"
payload = {
"currentPassword": "<string>",
"newPassword": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/auth/change-password"
payload := strings.NewReader("{\n \"currentPassword\": \"<string>\",\n \"newPassword\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"user": {
"createdAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"emailVerified": true,
"id": "<string>",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>"
},
"token": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}